## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSpan Class Reference

`#include <XSpan.hpp>`

Inheritance diagram for XSpan:

[legend]
Collaboration diagram for XSpan:

[legend]
List of all members.

## Public Methods

- XSpan (BorrowReturnMutableNodeRefList &value)
    Construct an XSpan object from a node list. More...
- XSpan (const XSpan &source)
- virtual ~XSpan ()
- virtual XSpan* clone (void *theAddress=0) const
    Clone the instance. More...
- virtual int getStart () const
    Get the start span offset from the first node, or -1 if offset isn't set. More...
- virtual void setStart (int start)
    Set the start span offset from the first node, or pass -1 if offset isn't set. More...
- virtual int getEnd () const
    Get the end span offset from start of the last node, or -1 if offset isn't set. More...
- virtual void setEnd (int end)
    Set the end span offset from start of the last node, or -1 if offset isn't set. More...
- virtual void setSpan (int firstNodeOffset, int lastNodeOffset)
    Set the range of the span, based on offsets from the first node and offsets from the last node. More...

## Constructor & Destructor Documentation

XSpan::XSpan ( | BorrowReturnMutableNodeRefList & value )

  | Construct an XSpan object from a node list. Parameters:
  value | source node list. The instance will adopt the value instance.

XSpan::XSpan ( | const XSpan & source )

XSpan::~XSpan ( | )`[virtual]`

## Member Function Documentation

XSpan * XSpan::clone ( | void * theAddress = 0 ) const`[virtual]`

  | Clone the instance. Parameters:
  If | theAddress is not null, the XObject will clone itself into that address.
Returns: a clone of the instance. Reimplemented from XNodeSet.

int XSpan::getEnd ( | ) const`[virtual]`

| Get the end span offset from start of the last node, or -1 if offset isn't set. Returns: ending offset

int XSpan::getStart ( | ) const`[virtual]`

| Get the start span offset from the first node, or -1 if offset isn't set. Returns: starting offset

void XSpan::setEnd ( | int end )`[virtual]`

  | Set the end span offset from start of the last node, or -1 if offset isn't set. Parameters:
  end | ending offset

void XSpan::setSpan ( | int firstNodeOffset,
| int lastNodeOffset )`[virtual]`

  | Set the range of the span, based on offsets from the first node and offsets from the last node. Parameters:
  firstNodeOffset | offset of first node
  lastNodeOffset | offset of last node

void XSpan::setStart ( | int start )`[virtual]`

  | Set the start span offset from the first node, or pass -1 if offset isn't set. Parameters:
  start | starting offset

The documentation for this class was generated from the following file:

- XSpan.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.